// C Header File
// Created 1/1/01
// Updated 12/28/06; 8:14:45 PM

//File Size
#define FSIZE 250
#define UNDOSIZE 150

//Boolean defines
#define True 1
#define False 0
#define On 1
#define Off 0
#define Up 1
#define Down 0
#define GotFlag 4
#define CrackedIce 3
#define Sunk 2
#define Shot 1
#define TankLaser 1
#define AntiLaser 2
#define FireLaser 3
#define CursorMove 1
#define NoFileOpen 0
#define FileIsOpen 1


//Sprite title defines
#define Background 0
#define SunkenBlock 1
#define Brick 2
#define ImmoveableBlock 3
#define CrystalBlock 4
#define DestroyedCanon 5
#define TankUp 6
#define TankRt 7
#define TankDn 8
#define TankLt 9
#define CanonUp 10
#define CanonRt 11
#define CanonDn 12
#define CanonLt 13
#define MoveableBlock 14
#define SlideMirrorUR 15
#define SlideMirrorDR 16
#define SlideMirrorDL 17
#define SlideMirrorUL 18
#define RotateMirrorUR 19
#define RotateMirrorDR 20
#define RotateMirrorDL 21
#define RotateMirrorUL 22
#define Tunnel 23
#define TankMoverUp 24
#define TankMoverRt 28
#define TankMoverDn 32
#define TankMoverLt 36
#define Water 40
#define Flag 44
#define Ice 45
#define ThinIce 46
#define LaserHor 47
#define LaserVer 48
#define LaserUR 49
#define LaserDR 50
#define LaserDL 51
#define LaserUL 52
#define PaintBrush 69



char FireAction[47][4] ={
                         {0,0,0,0}, //#0
                         {0,0,0,0}, //#1
                         {6,6,6,6}, //#2
                         {1,1,1,1}, //#3
                         {0,0,0,0}, //#4
                         {1,1,1,1}, //#5
                         {0,0,0,0}, //#6
                         {0,0,0,0}, //#7
                         {0,0,0,0}, //#8
                         {0,0,0,0}, //#9
                         {2,2,5,2}, //#10
                         {2,2,2,5}, //#11
                         {5,2,2,2}, //#12
                         {2,5,2,2}, //#13
                         {2,2,2,2}, //#14
                         {2,2,3,3}, //#15
                         {3,2,2,3}, //#16
                         {3,3,2,2}, //#17
                         {2,3,3,2}, //#18
                         {4,4,3,3}, //#19
                         {3,4,4,3}, //#20
                         {3,3,4,4}, //#21
                         {4,3,3,4}, //#22
                         {0,0,0,0}, //#23
                         {0,0,0,0}, //#24
                         {0,0,0,0}, //#25
                         {0,0,0,0}, //#26
                         {0,0,0,0}, //#27
                         {0,0,0,0}, //#28
                         {0,0,0,0}, //#29
                         {0,0,0,0}, //#30
                         {0,0,0,0}, //#31
                         {0,0,0,0}, //#32
                         {0,0,0,0}, //#33
                         {0,0,0,0}, //#34
                         {0,0,0,0}, //#35
                         {0,0,0,0}, //#36
                         {0,0,0,0}, //#37
                         {0,0,0,0}, //#38
                         {0,0,0,0}, //#39
                         {0,0,0,0}, //#40
                         {0,0,0,0}, //#41
                         {0,0,0,0}, //#42
                         {0,0,0,0}, //#43
                         {0,0,0,0}, //#44
                         {0,0,0,0}, //#45
                         {0,0,0,0}  //#46
                        };
                            
unsigned char DarkSprite[70][8]={
/*Background          */         {0x00,0x04,0x40,0x00,0x00,0x02,0x20,0x00}, //#0
/*Sunken Block        */         {0xFF,0x99,0x99,0xFF,0xFF,0x99,0x99,0xFF}, //#1
/*Brick               */         {0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF}, //#2
/*Immoveable Block    */         {0xFF,0xA5,0xC3,0x81,0x81,0xC3,0xA5,0xFF}, //#3
/*Crystal Block       */         {0x00,0x66,0x42,0x00,0x00,0x42,0x66,0x00}, //#4
/*Destroyed Canon     */         {0x02,0x66,0x6C,0x03,0x10,0x6A,0x4E,0x26}, //#5
/*Tank Up             */         {0x18,0xDB,0xDB,0xFF,0xFF,0xFF,0xFF,0xDB}, //#6
/*Tank Right          */         {0xFE,0xFE,0x78,0xFF,0xFF,0x78,0xFE,0xFE}, //#7
/*Tank Down           */         {0xDB,0xFF,0xFF,0xFF,0xFF,0xDB,0xDB,0x18}, //#8
/*Tank Left           */         {0x7F,0x7F,0x1E,0xFF,0xFF,0x1E,0x7F,0x7F}, //#9
/*Canon Up            */         {0x18,0xDB,0xDB,0xDB,0xDB,0xFF,0xFF,0x7E}, //#10
/*Canon Right         */         {0x7E,0xFE,0xE0,0xFF,0xFF,0xE0,0xFE,0x7E}, //#11
/*Canon Down          */         {0x7E,0xFF,0xFF,0xDB,0xDB,0xDB,0xDB,0x18}, //#12
/*Canon Left          */         {0x7E,0x7F,0x07,0xFF,0xFF,0x07,0x7F,0x7E}, //#13
/*Moveable Block      */         {0xFF,0x99,0x99,0xFF,0xFF,0x99,0x99,0xFF}, //#14
/*Sliding Mirror UR   */         {0x00,0x80,0xC0,0x60,0x70,0x58,0xFC,0xC6}, //#15
/*Sliding Mirror DR   */         {0xC6,0xFC,0x58,0x70,0x60,0xC0,0x80,0x00}, //#16
/*Sliding Mirror DL   */         {0x63,0x3F,0x1A,0x0E,0x06,0x03,0x01,0x00}, //#17
/*Sliding Mirror UL   */         {0x00,0x01,0x03,0x06,0x0E,0x1A,0x3F,0x63}, //#18
/*Rotating Mirror UR  */         {0x00,0xC0,0x60,0x70,0x38,0x3C,0x4E,0x02}, //#19
/*Rotating Mirror DR  */         {0x02,0x4E,0x3C,0x38,0x70,0x60,0xC0,0x00}, //#20
/*Rotating Mirror DL  */         {0x40,0x72,0x3C,0x1C,0x0E,0x06,0x03,0x00}, //#21
/*Rotating Mirror UL  */         {0x00,0x03,0x06,0x0E,0x1C,0x3C,0x72,0x40}, //#22
/*Tunnel Entrance     */         {0x18,0x7E,0x7F,0xFE,0xFF,0x7F,0xFE,0x7C}, //#23
/*Tank Mover Up A     */         {0x18,0x3C,0x66,0x42,0x18,0x3C,0x66,0x42}, //#24
/*Tank Mover Up B     */         {0x3C,0x66,0x42,0x18,0x3C,0x66,0x42,0x18}, //#25
/*Tank Mover Up C     */         {0x66,0x42,0x18,0x3C,0x66,0x42,0x18,0x3C}, //#26
/*Tank Mover Up D     */         {0x42,0x18,0x3C,0x66,0x42,0x18,0x3C,0x66}, //#27
/*Tank Mover Right A  */         {0x00,0xCC,0x66,0x33,0x33,0x66,0xCC,0x00}, //#28
/*Tank Mover Right B  */         {0x00,0x66,0x33,0x99,0x99,0x33,0x66,0x00}, //#29
/*Tank Mover Right C  */         {0x00,0x33,0x99,0xCC,0xCC,0x99,0x33,0x00}, //#30
/*Tank Mover Right D  */         {0x00,0x99,0xCC,0x66,0x66,0xCC,0x99,0x00}, //#31
/*Tank Mover Down A   */         {0x42,0x66,0x3C,0x18,0x42,0x66,0x3C,0x18}, //#32
/*Tank Mover Down B   */         {0x18,0x42,0x66,0x3C,0x18,0x42,0x66,0x3C}, //#33
/*Tank Mover Down C   */         {0x3C,0x18,0x42,0x66,0x3C,0x18,0x42,0x66}, //#34
/*Tank Mover Down D   */         {0x66,0x3C,0x18,0x42,0x66,0x3C,0x18,0x42}, //#35
/*Tank Mover Left A   */         {0x00,0x33,0x66,0xCC,0xCC,0x66,0x33,0x00}, //#36
/*Tank Mover Left B   */         {0x00,0x66,0xCC,0x99,0x99,0xCC,0x66,0x00}, //#37
/*Tank Mover Left C   */         {0x00,0xCC,0x99,0x33,0x33,0x99,0xCC,0x00}, //#38
/*Tank Mover Left D   */         {0x00,0x99,0x33,0x66,0x66,0x33,0x99,0x00}, //#39
/*Water A             */         {0x88,0x11,0x22,0x44,0x88,0x11,0x22,0x44}, //#40
/*Water B             */         {0x44,0x88,0x11,0x22,0x44,0x88,0x11,0x22}, //#41
/*Water C             */         {0x22,0x44,0x88,0x11,0x22,0x44,0x88,0x11}, //#42
/*Water D             */         {0x11,0x22,0x44,0x88,0x11,0x22,0x44,0x88}, //#43
/*Flag                */         {0x7E,0x70,0x7E,0x40,0x7E,0x40,0x40,0x40}, //#44
/*Ice                 */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#45
/*Thin Ice            */         {0x40,0x04,0x20,0x0A,0x80,0x10,0x04,0x20}, //#46
/*Laser Horizontal    */         {0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0x00}, //#47
/*Laser Vertical      */         {0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18}, //#48
/*Laser Corner UR     */         {0x18,0x18,0x18,0x1F,0x1F,0x00,0x00,0x00}, //#49
/*Laser Corner DR     */         {0x00,0x00,0x00,0x1F,0x1F,0x18,0x18,0x18}, //#50
/*Laser Corner DL     */         {0x00,0x00,0x00,0xF8,0xF8,0x18,0x18,0x18}, //#51
/*Laser Corner UL     */         {0x18,0x18,0x18,0xF8,0xF8,0x00,0x00,0x00}, //#52
/*Tank Up Mask           */      {0xE7,0x24,0x24,0x00,0x00,0x00,0x00,0x24}, //#53
/*Tank Right Mask        */      {0x01,0x01,0x87,0x00,0x00,0x87,0x01,0x01}, //#54
/*Tank Down Mask         */      {0x24,0x00,0x00,0x00,0x00,0x24,0x24,0xE7}, //#55
/*Tank Left Mask         */      {0x80,0x80,0xE1,0x00,0x00,0xE1,0x80,0x80}, //#56
/*Canon Up Mask          */      {0xE7,0x24,0x24,0x24,0x24,0x00,0x00,0x81}, //#57
/*Canon Right Mask       */      {0x81,0x01,0x1F,0x00,0x00,0x1F,0x01,0x81}, //#58
/*Canon Down Mask        */      {0x81,0x00,0x00,0x24,0x24,0x24,0x24,0xE7}, //#59
/*Canon Left Mask        */      {0x81,0x80,0xF8,0x00,0x00,0xF8,0x80,0x81}, //#60
/*Sliding Mirror UR Mask */      {0xFF,0x7F,0x3F,0x9F,0x8F,0xA7,0x03,0x39}, //#61
/*Sliding Mirror DR Mask */      {0x39,0x03,0xA7,0x8F,0x9F,0x3F,0x7F,0xFF}, //#62
/*Sliding Mirror DL Mask */      {0x9C,0xC0,0xE5,0xF1,0xF9,0xFD,0xFE,0xFF}, //#63
/*Sliding Mirror UL Mask */      {0xFF,0xFE,0xFC,0xF9,0xF1,0xE5,0xC0,0x9C}, //#64
/*Rotating Mirror UR Mask*/      {0xFF,0x3F,0x83,0x83,0x83,0x83,0x81,0xFD}, //#65
/*Rotating Mirror DR Mask*/      {0xFD,0x81,0x83,0x83,0x83,0x83,0x3F,0xFF}, //#66
/*Rotating Mirror DL Mask*/      {0xBF,0x81,0xC1,0xC1,0xC1,0xC1,0xFC,0xFF}, //#67
/*Rotating Mirror UL Mask*/      {0xFF,0xFC,0xC1,0xC1,0xC1,0xC1,0x81,0xBF}, //#68
/*Editor Cursor A        */      {0xC3,0xE7,0x7E,0x3C,0x3C,0x7E,0xE7,0xC3}  //#69
                                };
                                
unsigned char LightSprite[70][8]={
/*Background          */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#0
/*Sunken Block        */         {0x00,0x66,0x66,0x00,0x00,0x66,0x66,0x00}, //#1
/*Brick               */         {0x00,0x77,0x00,0xDD,0x00,0xBB,0x00,0xEE}, //#2
/*Immoveable Block    */         {0xFF,0xBD,0xFF,0xFF,0xFF,0xFF,0xBD,0xFF}, //#3
/*Crystal Block       */         {0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF}, //#4
/*Destroyed Canon     */         {0x00,0x46,0xE8,0xEC,0x7C,0x66,0x46,0x00}, //#5
/*Tank Up             */         {0x18,0xDB,0x99,0x3C,0x5A,0x42,0x24,0xDB}, //#6
/*Tank Right          */         {0x86,0xB2,0x48,0x9F,0x9F,0x48,0xB2,0x86}, //#7
/*Tank Down           */         {0xDB,0x24,0x42,0x5A,0x3C,0x99,0xDB,0x18}, //#8
/*Tank Left           */         {0x61,0x4D,0x12,0xF9,0xF9,0x12,0x4D,0x61}, //#9
/*Canon Up            */         {0x18,0x99,0x99,0x99,0x99,0xBD,0xC3,0x7E}, //#10
/*Canon Right         */         {0x7E,0xC0,0xA0,0xBF,0xBF,0xA0,0xC0,0x7E}, //#11
/*Canon Down          */         {0x7E,0xC3,0xBD,0x99,0x99,0x99,0x99,0x18}, //#12
/*Canon Left          */         {0x7E,0x03,0x05,0xFD,0xFD,0x05,0x03,0x7E}, //#13
/*Moveable Block      */         {0xFF,0x99,0x99,0xFF,0xFF,0x99,0x99,0xFF}, //#14
/*Sliding Mirror UR   */         {0x00,0x80,0xC0,0x60,0x30,0x18,0xCC,0xC6}, //#15
/*Sliding Mirror DR   */         {0xC6,0xCC,0x18,0x30,0x60,0xC0,0x80,0x00}, //#16
/*Sliding Mirror DL   */         {0x63,0x33,0x18,0x0C,0x06,0x03,0x01,0x00}, //#17
/*Sliding Mirror RL   */         {0x00,0x01,0x03,0x06,0x0C,0x18,0x33,0x63}, //#18
/*Rotating Mirror UR  */         {0x00,0xC0,0x7C,0x7C,0x7C,0x7C,0x7E,0x02}, //#19
/*Rotating Mirror DR  */         {0x02,0x7E,0x7C,0x7C,0x7C,0x7C,0xC0,0x00}, //#20
/*Rotating Mirror DL  */         {0x40,0x7E,0x3E,0x3E,0x3E,0x3E,0x03,0x00}, //#21
/*Rotating Mirror UL  */         {0x00,0x03,0x3E,0x3E,0x3E,0x3E,0x7E,0x40}, //#22
/*Tunnel Entrance     */         {0xE7,0x81,0x98,0x3D,0x38,0x98,0x01,0x83}, //#23
/*Tank Mover Up A     */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#24
/*Tank Mover Up B     */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#25
/*Tank Mover Up A     */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#26
/*Tank Mover Up B     */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#27
/*Tank Mover Right A  */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#28
/*Tank Mover Right B  */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#29
/*Tank Mover Right A  */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#30
/*Tank Mover Right B  */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#31
/*Tank Mover Down A   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#32
/*Tank Mover Down B   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#33
/*Tank Mover Down A   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#34
/*Tank Mover Down B   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#35
/*Tank Mover Left A   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#36
/*Tank Mover Left B   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#37
/*Tank Mover Left A   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#38
/*Tank Mover Left B   */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#39
/*Water A             */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#40
/*Water B             */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#41
/*Water C             */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#42
/*Water D             */         {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}, //#43
/*Flag                */         {0x30,0x3E,0x00,0x3E,0x00,0x00,0x00,0x00}, //#44
/*Ice                 */         {0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF}, //#45
/*Thin Ice            */         {0xBF,0xFB,0xDF,0xF5,0x7F,0xEF,0xFB,0xDF}, //#46
/*Laser Horizontal    */         {0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0x00}, //#47
/*Laser Vertical      */         {0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18}, //#48
/*Laser Corner UR     */         {0x18,0x18,0x18,0x1F,0x1F,0x00,0x00,0x00}, //#49
/*Laser Corner DR     */         {0x00,0x00,0x00,0x1F,0x1F,0x18,0x18,0x18}, //#50
/*Laser Corner DL     */         {0x00,0x00,0x00,0xF8,0xF8,0x18,0x18,0x18}, //#51
/*Laser Corner UL     */         {0x18,0x18,0x18,0xF8,0xF8,0x00,0x00,0x00}, //#52
/*Tank Up Mask           */      {0xE7,0x24,0x24,0x00,0x00,0x00,0x00,0x24}, //#53
/*Tank Right Mask        */      {0x01,0x01,0x87,0x00,0x00,0x87,0x01,0x01}, //#54
/*Tank Down Mask         */      {0x24,0x00,0x00,0x00,0x00,0x24,0x24,0xE7}, //#55
/*Tank Left Mask         */      {0x80,0x80,0xE1,0x00,0x00,0xE1,0x80,0x80}, //#56
/*Canon Up Mask          */      {0xE7,0x24,0x24,0x24,0x24,0x00,0x00,0x81}, //#57
/*Canon Right Mask       */      {0x81,0x01,0x1F,0x00,0x00,0x1F,0x01,0x81}, //#58
/*Canon Down Mask        */      {0x81,0x00,0x00,0x24,0x24,0x24,0x24,0xE7}, //#59
/*Canon Left Mask        */      {0x81,0x80,0xF8,0x00,0x00,0xF8,0x80,0x81}, //#60
/*Sliding Mirror UR Mask */      {0xFF,0x7F,0x3F,0x9F,0x8F,0xA7,0x03,0x39}, //#61
/*Sliding Mirror DR Mask */      {0x39,0x03,0xA7,0x8F,0x9F,0x3F,0x7F,0xFF}, //#62
/*Sliding Mirror DL Mask */      {0x9C,0xC0,0xE5,0xF1,0xF9,0xFD,0xFE,0xFF}, //#63
/*Sliding Mirror UL Mask */      {0xFF,0xFE,0xFC,0xF9,0xF1,0xE5,0xC0,0x9C}, //#64
/*Rotating Mirror UR Mask*/      {0xFF,0x3F,0x83,0x83,0x83,0x83,0x81,0xFD}, //#65
/*Rotating Mirror DR Mask*/      {0xFD,0x81,0x83,0x83,0x83,0x83,0x3F,0xFF}, //#66
/*Rotating Mirror DL Mask*/      {0xBF,0x81,0xC1,0xC1,0xC1,0xC1,0xFC,0xFF}, //#67
/*Rotating Mirror UL Mask*/      {0xFF,0xFC,0xC1,0xC1,0xC1,0xC1,0x81,0xBF}, //#68
/*Editor Cursor          */      {0xC3,0xE7,0x7E,0x3C,0x3C,0x7E,0xE7,0xC3}  //#69
                                };
                                 
unsigned char original[12][16]={{00,44,16,00,04,40,00,00,00,00,00,00,00,00,17,17},
                                {16,16,00,40,04,00,00,00,00,06,00,00,00,00,00,00},
                                {15,40,32,04,04,00,00,00,00,00,00,00,00,00,00,00},
                                {00,11,32,03,16,17,00,00,00,00,00,00,00,00,00,00},
                                {00,03,32,13,04,00,03,14,03,14,03,00,00,00,00,00},
                                {00,11,32,03,00,04,03,04,16,20,17,00,00,00,00,00},
                                {00,03,32,13,04,14,00,00,04,14,40,28,00,00,00,00},
                                {00,11,32,00,40,00,00,00,04,14,18,00,00,00,00,00},
                                {00,03,32,04,00,00,03,00,18,15,04,19,00,00,00,00},
                                {11,00,32,40,04,00,12,04,12,03,12,04,12,00,00,00},
                                {16,00,28,28,28,28,28,28,28,28,28,28,28,28,18,18},
                                {15,04,18,10,10,40,04,10,04,10,04,10,03,40,00,00}
                               }; 
unsigned short Marker[10]={0xFFC0,0x8040,0x8040,0x8040,0x8040,0x8040,0x8040,0x8040,0x8040,0xFFC0};
                      
char DeltaRow[4]={-1,0,1,0};
char DeltaCol[4]={0,1,0,-1};
char FireSprite[4]={48,47,48,47};
char EditorPalette[9][3]={
                          {6,44,10},
                          {0,40,11},
                          {14,4,12},
                          {3,80,13},
                          {2,15,19},
                          {24,16,20},
                          {28,17,21},
                          {32,18,22},
                          {36,45,46}
                         };
char Reflector[4][4]={
                      {0,0,1,0},
                      {1,0,0,2},
                      {3,2,0,0},
                      {0,0,3,0}
                     };
void *virtualA = NULL;
void *virtualB = NULL;
void *virtualC = NULL;
void *virtualD = NULL;
void *StatsWinL = NULL;
void *StatsWinD = NULL;
unsigned char *undoRow = NULL;
unsigned char *undoCol = NULL;
unsigned char *undoItem = NULL;
unsigned char (*board)[16] = NULL;
char (*Tpair)[4] = NULL;
SCR_RECT FullScr = {{0,0,159,99}};
int TankRow=0;
int TankCol=0;
int TankDir=0;
int FireRow=0;
int FireCol=0;
int FireDir=0;
int MoveRow=0;
int MoveCol=0;
int MoveDir=0;
char AMSversion=1;
char HorInertia=0;
char VerInertia=0;
char TankInTunnel=False;
char ObjectInTunnel=False;
char Backtrack=False;
int LastTunnel=0;
char BusyTank=False;
char BusyMove=False;
char BusyFire=False;
char PiggyBack=False;
int PaletteRow=1;
int PaletteCol=0;
char Paint=0;
int EditRow=0;
int EditCol=0;
char LockPlace=False;
int tx=2;
int ty=2;
int wid=8;
char play=0;
char NewTurnOK=0;
char Fatal=0;
char InEditor=0;
char ShowId=False;
char charbuffer[80]={" "};
char author[21] = {"Marvin Thorman      \0"};
char title[21] = {"A Sample Puzzle     \0"};
char champ[] = {"\0      "};
char user[] = {"\0      "};
char LevFile[12]={"laser\0      "};
unsigned char Level=0;
unsigned char difficulty=3;
char dif[]={"Kids\0   Easy\0   Medium\0 Hard\0   Deadly\0"};
unsigned BestMoves = 0;
unsigned BestShots = 0;
unsigned GlobalMoves = 0;
unsigned GlobalShots = 0;
unsigned Shots = 0;
unsigned Moves = 0;
int AlphaLockAddr=0;
char AnimateOn=True;
INT_HANDLER OldInt1 = NULL;    
volatile unsigned short counter=0;


